## ide-lsp-symbol-tree-private ide-lsp-symbol-tree-private |

## Functions

IdeLspSymbolTree * | ide_lsp_symbol_tree_new ()

## Description

## Functions

### ide_lsp_symbol_tree_new ()

    IdeLspSymbolTree *
    ide_lsp_symbol_tree_new (GPtrArray *symbols);

Creates a new IdeLspSymbolTree but takes ownership of `ar` .

#### Parameters

symbols | The symbols. | [transfer full][element-type Ide.LspSymbolNode]

#### Returns

A newly allocated IdeLspSymbolTree.

[transfer full]